Summary:	Filesystem in Userspace
Name:		fuse
Version:	2.7.4
Release:	%{_mvl_build_id}.1
Source:		%{name}-%{version}.tar.gz
Patch:		fuse-nostdinc.patch
Patch1:		fuse-kernel.patch
License:	GPL/LGPL
Group:		System Environment
Buildroot:	%{_tmppath}/%{name}-%{_mvl_target_arch}-root
Prefix:		%{_mvl_cross_target_dir}

%package libs
Summary: Filesystem in Userspace (libraries)
Group: System Environment

%package dev
Summary: Filesystem in Userspace (development files)
Group: System Environment

%description
FUSE (Filesystem in Userspace) is a simple interface for userspace
programs to export a virtual filesystem to the Linux kernel.  FUSE
also aims to provide a secure method for non privileged users to
create and mount their own filesystem implementations.

%description libs

%description dev

%prep
%target_check
%setup -n %{name}-%{version}
%patch -p1
%patch1 -p1

%build
%target_setup
./configure --host=mipsel-montavista-linux --build=i686-pc-linux-gnu --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/usr/share --mandir=/usr/share/man --infodir=/usr/share/info --with-kernel=/opt/montavista/pro/devkit/lsp/yamaha-kbw_k2x-mips2_fp_le/linux-2.6.10_mvl401
%make V=1

%install
%target_setup
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}%{_mvl_cross_target_dir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_mvl_cross_target_dir}/%{_mvl_target_bin_dir}
%{_mvl_cross_target_dir}/lib
%{_mvl_cross_target_dir}/sbin
%{_mvl_cross_target_dir}/%{_mvl_target_sysconf_dir}

%files libs
%defattr(-,root,root)
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/*.so.*

%files dev
%defattr(-,root,root)
%{_mvl_cross_target_dir}%{_mvl_target_include_dir}
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/pkgconfig
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/*.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/*.la
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/*.so

%changelog
* Tue Dec 23 2008 Yamaha Corporation
- Initial release.
